Bug 126711 - ldap migration problem
Summary: ldap migration problem
Status: CLOSED DUPLICATE of bug 132261
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-25 03:29 UTC by Chan Min Wai
Modified: 2014-08-31 23:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 17:04:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chan Min Wai 2004-06-25 03:29:09 UTC
Description of problem:
On an ldap migration, there is always problem when it is migrating the
services files, because there are 2 or more services have the same
name the the ldap server don't like that cn.

The problematic services are like 
echo

And often enough it will have some message like below
adding new entry "cn=echo,ou=Services,dc=example,dc=com"
ldapadd: update failed: cn=echo,ou=Services,dc=example,dc=com
ldap_add: Already exists (68)


Version-Release number of selected component (if applicable):
openldap-servers-2.1.29-1

How reproducible:
Everytime I do migration the same problem came to me (from Rh 7.3)

Steps to Reproduce:
1. Setup your ldap server (the slapd.conf)
2. start your ldap services
3. goto /usr/share/openldap/migration
4. make your change on migrate_common.ph so that it will be similar to
you slapd.conf (ldap server)
5. Now make the import by running ./migrate_all_online.sh And wait for
error like below.
adding new entry "cn=echo,ou=Services,dc=example,dc=com"
ldapadd: update failed: cn=echo,ou=Services,dc=example,dc=com
ldap_add: Already exists (68)
  
Actual results: 
import should finish as ususal.

Expected results:
No error will be there.

Additional info:
This error might have to be related with padl.com as they are the
module provided.

Comment 1 Chan Min Wai 2004-06-25 03:55:55 UTC
cn=echo,ou=Services,dc=example,dc=com
cn=nextstep,ou=Services,dc=example,dc=com
cn=cvsup,ou=Services,dc=example,dc=com

This is the problem.

Comment 2 Matthew Miller 2005-04-26 15:37:11 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Steven Pritchard 2005-05-03 00:55:47 UTC
This has been an issue for quite some time.  My workaround has been to change
the slapadd line to add the -c option.  A correct fix would be better, of course.

Comment 4 Kenneth Porter 2005-05-26 02:22:45 UTC
See bug 132261.

Comment 5 John Thacker 2006-10-28 17:04:20 UTC

*** This bug has been marked as a duplicate of 132261 ***


Note You need to log in before you can comment on or make changes to this bug.